z8530_status
Prev | Chapter 10. Internal Functions | Next

## Name

z8530_status — Handle a PIO status exception

## Synopsis

`void z8530_status (` | struct z8530_channel * | chan`)`;

## Arguments

`chan`

  Z8530 channel to process

## Description

A status event occurred in PIO synchronous mode. There are several reasons the chip will bother us here. A transmit underrun means we failed to feed the chip fast enough and just broke a packet. A DCD change is a line up or down. We communicate that back to the protocol layer for synchronous PPP to renegotiate.

Prev | Up | Next
z8530_tx | Home | z8530_dma_rx